PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PSync Class Referenceabstract

`#include <psync.h>`

Inheritance diagram for PSync:
[legend]
Collaboration diagram for PSync:
[legend]

## Public Member Functions
| PSync ()
Operations
virtual void | Wait ()=0
| Block until the synchronisation object is available. More...
virtual PBoolean | Wait (const PTimeInterval &timeout)=0
| Block, for a time, until the synchronisation object is available. More...
virtual void | Signal ()=0
| Signal that the synchronisation object is available. More...
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier
Friends inherited from PObject

## Constructor & Destructor Documentation

PSync::PSync | ( |  | ) |
| inline

## Member Function Documentation

virtual void PSync::Signal | ( |  | ) |
| pure virtual

Signal that the synchronisation object is available.

Implemented in PSemaphore, PTimedMutex, PSyncPoint, PSyncNULL, and PSyncPointAck.

Referenced by PWaitAndSignal::~PWaitAndSignal().

virtual void PSync::Wait | ( |  | ) |
| pure virtual

Block until the synchronisation object is available.

Implemented in PSemaphore, PTimedMutex, PSyncNULL, and PSyncPoint.

Referenced by PWaitAndSignal::PWaitAndSignal().

virtual PBoolean PSync::Wait | ( | const PTimeInterval & | timeout | ) |
| pure virtual

Block, for a time, until the synchronisation object is available.

Returns
  true if lock is acquired, false if timed out

Implemented in PSemaphore, PTimedMutex, PSyncPoint, and PSyncNULL.

The documentation for this class was generated from the following file:

- psync.h